# gdtDescriptor Struct Reference

`#include <gdt.h>`

## Data Fields

unsigned char | access
unsigned char | baseHigh
unsigned short | baseLow
unsigned char | baseMed
unsigned int | granularity:4
unsigned int | limitHigh:4
unsigned short | limitLow

## Detailed Description

Definition at line 60 of file gdt.h.

## Field Documentation

unsigned char gdtDescriptor::access

Definition at line 64 of file gdt.h.

unsigned char gdtDescriptor::baseHigh

Definition at line 67 of file gdt.h.

unsigned short gdtDescriptor::baseLow

Definition at line 62 of file gdt.h.

unsigned char gdtDescriptor::baseMed

Definition at line 63 of file gdt.h.

unsigned int gdtDescriptor::granularity

Definition at line 66 of file gdt.h.

unsigned int gdtDescriptor::limitHigh

Definition at line 65 of file gdt.h.

unsigned short gdtDescriptor::limitLow

Definition at line 61 of file gdt.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/gdt.h